Acad02 version number

Discussion in 'AutoCAD' started by Paul Richardson, Jul 30, 2004.

  1. Hi All,

    What is the version number of AutoCAD02?

    "AutoCAD.Application.16" works on 05 as does "AutoCAD.Application"

    How can I get 02..

    TFYT
    Paul
     
    Paul Richardson, Jul 30, 2004
    #1
  2. ACADVER 15.06 Just in case anyone else with brain cramp today.
     
    Paul Richardson, Jul 30, 2004
    #2
  3. Paul Richardson

    Tyutyunnikov Guest

    run VBA -
    Option Explicit
    Sub showVers()
    Debug.Print "Application.Name", "Application.Version"
    Debug.Print ThisDrawing.Application.Name, ThisDrawing.Application.Version
    End Sub

    For work of the program with any version it is necessary to remove the reference to library Autocad(Project->References->AutoCAD...) and declared object so ->>>
    Public oApp As Object ' AcadApplication
    Public oADoc As Object ' AcadDocument
    Sub initApp(ByVal versionACAD As Integer)
    On Error Resume Next
    Select Case versionACAD
    Case 1 To 2
    Set oApp = GetObject(, "AutoCAD.Application")
    Case 3
    Set oApp = GetObject(, "AutoCAD.Application.15")
    Case 4 To 5
    Set oApp = GetObject(, "AutoCAD.Application.16")
    Case Else
    Set oApp = GetObject(, "AutoCAD.Application")
    End Select
    oApp.Visible = True
    If Err Then MsgBox "ACAD must be RUN!", vbCritical, "start application"
    End Sub
    -----------------------------------------------------------------
    If there is any further information you require, please do not hesitate to contact us immediately.
    Department of support
    and development
    MechMagic
    Igor Tyutyunnikov
    www.mechmagic.com
     
    Tyutyunnikov, Aug 1, 2004
    #3
  4. tks Igor...
    reference to library Autocad(Project->References->AutoCAD...) and declared
    object so ->>>
     
    Paul Richardson, Aug 2, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.